using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Projekt
{
    public class Equipment
    {
        List<Item> equip = new List<Item>();
        Item item = new Item();
        public Equipment()
        {
            foreach(Item.GENDER gend in Enum.GetValues(typeof(Item.GENDER)))
            {
                equip.Add(item.DefaultItem());
            }
        }

        public List<Item> Equip
        {
            get { return equip; }
            set { equip = value; }
        }

        public void SetEquip(int gender, Item item)
        {
            equip = new List<Item>(item.GetAttributesNames().Length);
            equip[gender]=item;
        }

    }
}
